HTMLTableElementImpl (Other Classes)
Date: 2016-02-19

org.apache.html.dom

## Class HTMLTableElementImpl

- java.lang.Object
- - org.apache.xerces.dom.NodeImpl
  - - org.apache.xerces.dom.ChildNode
    - - org.apache.xerces.dom.ParentNode
      - - org.apache.xerces.dom.ElementImpl
        - - org.apache.html.dom.HTMLElementImpl
          - - org.apache.html.dom.HTMLTableElementImpl

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.ElementTraversal, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLTableElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

      public class HTMLTableElementImpl
      extends HTMLElementImpl
      implements org.w3c.dom.html.HTMLTableElement

  Version:
    $Revision: 1029415 $ $Date: 2010-10-31 13:02:22 -0400 (Sun, 31 Oct 2010) $
  Author:
    Assaf Arkin
  See Also:
    `HTMLAnchorElement`, `ElementImpl`, Serialized Form

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.dom.ElementImpl

      `attributes, name`

    - ### Fields inherited from class org.apache.xerces.dom.ParentNode

      `firstChild, fNodeListCache, ownerDocument`

    - ### Fields inherited from class org.apache.xerces.dom.ChildNode

      `nextSibling, previousSibling`

    - ### Fields inherited from class org.apache.xerces.dom.NodeImpl

      `DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

    - ### Fields inherited from interface org.w3c.dom.TypeInfo

      `DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLTableElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.w3c.dom.Node` | `cloneNode(boolean deep)` Explicit implementation of cloneNode() to ensure that cache used for getRows() and getTBodies() gets cleared.
    `org.w3c.dom.html.HTMLElement` | `createCaption()` Create a new table caption object or return an existing one.
    `org.w3c.dom.html.HTMLElement` | `createTFoot()` Create a table footer row or return an existing one.
    `org.w3c.dom.html.HTMLElement` | `createTHead()` Create a table header row or return an existing one.
    `void` | `deleteCaption()` Delete the table caption, if one exists.
    `void` | `deleteRow(int index)` Delete a table row.
    `void` | `deleteTFoot()` Delete the footer from the table, if one exists.
    `void` | `deleteTHead()` Delete the header from the table, if one exists.
    `java.lang.String` | `getAlign()` Specifies the table's position with respect to the rest of the document.
    `java.lang.String` | `getBgColor()` Cell background color.
    `java.lang.String` | `getBorder()` The width of the border around the table.
    `org.w3c.dom.html.HTMLTableCaptionElement` | `getCaption()` Returns the table's `CAPTION`, or void if none exists.
    `java.lang.String` | `getCellPadding()` Specifies the horizontal and vertical space between cell content andcell borders.
    `java.lang.String` | `getCellSpacing()` Specifies the horizontal and vertical separation between cells.
    `java.lang.String` | `getFrame()` Specifies which external table borders to render.
    `org.w3c.dom.html.HTMLCollection` | `getRows()` Returns a collection of all the rows in the table, including all in `THEAD`, `TFOOT`, all `TBODY` elements.
    `java.lang.String` | `getRules()` Specifies which internal table borders to render.
    `java.lang.String` | `getSummary()` Supplementary description about the purpose or structureof a table.
    `org.w3c.dom.html.HTMLCollection` | `getTBodies()` Returns a collection of the defined table bodies.
    `org.w3c.dom.html.HTMLTableSectionElement` | `getTFoot()` Returns the table's `TFOOT`, or `null` if none exists.
    `org.w3c.dom.html.HTMLTableSectionElement` | `getTHead()` Returns the table's `THEAD`, or `null` if none exists.
    `java.lang.String` | `getWidth()` Specifies the desired table width.
    `org.w3c.dom.html.HTMLElement` | `insertRow(int index)` Insert a new empty row in the table.Note.
    `void` | `setAlign(java.lang.String align)`
    `void` | `setBgColor(java.lang.String bgColor)`
    `void` | `setBorder(java.lang.String border)`
    `void` | `setCaption(org.w3c.dom.html.HTMLTableCaptionElement caption)`
    `void` | `setCellPadding(java.lang.String cellPadding)`
    `void` | `setCellSpacing(java.lang.String cellSpacing)`
    `void` | `setFrame(java.lang.String frame)`
    `void` | `setRules(java.lang.String rules)`
    `void` | `setSummary(java.lang.String summary)`
    `void` | `setTFoot(org.w3c.dom.html.HTMLTableSectionElement tFoot)`
    `void` | `setTHead(org.w3c.dom.html.HTMLTableSectionElement tHead)`
    `void` | `setWidth(java.lang.String width)`

    - ### Methods inherited from class org.apache.html.dom.HTMLElementImpl

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getContentDocument, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from class org.apache.xerces.dom.ElementImpl

      `getAttributes, getBaseURI, getChildElementCount, getDefaultAttributes, getFirstElementChild, getLastElementChild, getNextElementSibling, getNodeName, getNodeType, getPreviousElementSibling, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, getXMLBaseAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

    - ### Methods inherited from class org.apache.xerces.dom.ParentNode

      `getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

    - ### Methods inherited from class org.apache.xerces.dom.ChildNode

      `getNextSibling, getParentNode, getPreviousSibling`

    - ### Methods inherited from class org.apache.xerces.dom.NodeImpl

      `addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.html.HTMLElement

      `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Constructor Detail

    - #### HTMLTableElementImpl

          public HTMLTableElementImpl(HTMLDocumentImpl owner,
                              java.lang.String name)

      Constructor requires owner document.
      Parameters:
        `owner` - The owner HTML document

  - ### Method Detail

    - #### getCaption

          public org.w3c.dom.html.HTMLTableCaptionElement getCaption()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Returns the table's `CAPTION`, or void if none exists.
      Specified by:
        `getCaption` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### setCaption

          public void setCaption(org.w3c.dom.html.HTMLTableCaptionElement caption)

      Specified by:
        `setCaption` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### createCaption

          public org.w3c.dom.html.HTMLElement createCaption()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Create a new table caption object or return an existing one.
      Specified by:
        `createCaption` in interface `org.w3c.dom.html.HTMLTableElement`
      Returns:
        A `CAPTION` element.

    - #### deleteCaption

          public void deleteCaption()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Delete the table caption, if one exists.
      Specified by:
        `deleteCaption` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### getTHead

          public org.w3c.dom.html.HTMLTableSectionElement getTHead()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Returns the table's `THEAD`, or `null` if none exists.
      Specified by:
        `getTHead` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### setTHead

          public void setTHead(org.w3c.dom.html.HTMLTableSectionElement tHead)

      Specified by:
        `setTHead` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### createTHead

          public org.w3c.dom.html.HTMLElement createTHead()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Create a table header row or return an existing one.
      Specified by:
        `createTHead` in interface `org.w3c.dom.html.HTMLTableElement`
      Returns:
        A new table header element (`THEAD`).

    - #### deleteTHead

          public void deleteTHead()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Delete the header from the table, if one exists.
      Specified by:
        `deleteTHead` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### getTFoot

          public org.w3c.dom.html.HTMLTableSectionElement getTFoot()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Returns the table's `TFOOT`, or `null` if none exists.
      Specified by:
        `getTFoot` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### setTFoot

          public void setTFoot(org.w3c.dom.html.HTMLTableSectionElement tFoot)

      Specified by:
        `setTFoot` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### createTFoot

          public org.w3c.dom.html.HTMLElement createTFoot()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Create a table footer row or return an existing one.
      Specified by:
        `createTFoot` in interface `org.w3c.dom.html.HTMLTableElement`
      Returns:
        A footer element (`TFOOT`).

    - #### deleteTFoot

          public void deleteTFoot()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Delete the footer from the table, if one exists.
      Specified by:
        `deleteTFoot` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### getRows

          public org.w3c.dom.html.HTMLCollection getRows()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Returns a collection of all the rows in the table, including all in `THEAD`, `TFOOT`, all `TBODY` elements.
      Specified by:
        `getRows` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### getTBodies

          public org.w3c.dom.html.HTMLCollection getTBodies()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Returns a collection of the defined table bodies.
      Specified by:
        `getTBodies` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### getAlign

          public java.lang.String getAlign()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Specifies the table's position with respect to the rest of the document. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
      Specified by:
        `getAlign` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### setAlign

          public void setAlign(java.lang.String align)

      Specified by:
        `setAlign` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### getBgColor

          public java.lang.String getBgColor()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Cell background color. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
      Specified by:
        `getBgColor` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### setBgColor

          public void setBgColor(java.lang.String bgColor)

      Specified by:
        `setBgColor` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### getBorder

          public java.lang.String getBorder()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      The width of the border around the table. See the border attribute definition in HTML 4.0.
      Specified by:
        `getBorder` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### setBorder

          public void setBorder(java.lang.String border)

      Specified by:
        `setBorder` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### getCellPadding

          public java.lang.String getCellPadding()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Specifies the horizontal and vertical space between cell content andcell borders. See the cellpadding attribute definition in HTML 4.0.
      Specified by:
        `getCellPadding` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### setCellPadding

          public void setCellPadding(java.lang.String cellPadding)

      Specified by:
        `setCellPadding` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### getCellSpacing

          public java.lang.String getCellSpacing()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Specifies the horizontal and vertical separation between cells. See the cellspacing attribute definition in HTML 4.0.
      Specified by:
        `getCellSpacing` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### setCellSpacing

          public void setCellSpacing(java.lang.String cellSpacing)

      Specified by:
        `setCellSpacing` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### getFrame

          public java.lang.String getFrame()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Specifies which external table borders to render. See the frame attribute definition in HTML 4.0.
      Specified by:
        `getFrame` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### setFrame

          public void setFrame(java.lang.String frame)

      Specified by:
        `setFrame` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### getRules

          public java.lang.String getRules()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Specifies which internal table borders to render. See the rules attribute definition in HTML 4.0.
      Specified by:
        `getRules` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### setRules

          public void setRules(java.lang.String rules)

      Specified by:
        `setRules` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### getSummary

          public java.lang.String getSummary()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Supplementary description about the purpose or structureof a table. See the summary attribute definition in HTML 4.0.
      Specified by:
        `getSummary` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### setSummary

          public void setSummary(java.lang.String summary)

      Specified by:
        `setSummary` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### getWidth

          public java.lang.String getWidth()

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Specifies the desired table width. See the width attribute definition in HTML 4.0.
      Specified by:
        `getWidth` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### setWidth

          public void setWidth(java.lang.String width)

      Specified by:
        `setWidth` in interface `org.w3c.dom.html.HTMLTableElement`

    - #### insertRow

          public org.w3c.dom.html.HTMLElement insertRow(int index)

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Insert a new empty row in the table.Note. A table row cannot be empty according to HTML 4.0 Recommendation.
      Specified by:
        `insertRow` in interface `org.w3c.dom.html.HTMLTableElement`
      Parameters:
        `index` - The row number where to insert a new row.
      Returns:
        The newly created row.

    - #### deleteRow

          public void deleteRow(int index)

      Description copied from interface: `org.w3c.dom.html.HTMLTableElement`
      Delete a table row.
      Specified by:
        `deleteRow` in interface `org.w3c.dom.html.HTMLTableElement`
      Parameters:
        `index` - The index of the row to be deleted.

    - #### cloneNode

          public org.w3c.dom.Node cloneNode(boolean deep)

      Explicit implementation of cloneNode() to ensure that cache used for getRows() and getTBodies() gets cleared.
      Specified by:
        `cloneNode` in interface `org.w3c.dom.Node`
      Overrides:
        `cloneNode` in class `org.apache.xerces.dom.ElementImpl`
      Parameters:
        `deep` - If `true`, recursively clone the subtree under the specified node; if `false`, clone only the node itself (and its attributes, if it is an `Element`).
      Returns:
        The duplicate node.
      See Also:
        `Node.cloneNode(boolean)`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.